Cubase LE 1.07 OEM cd not working....

Can anyone help me I recently decided to try and install this now ancient version of cubase Le on my Mac. when i try to install it says power pc no longer supported. any ideas?

Hi, until someone answers have a look at this…

http://www.sweetwater.com/sweetcare/articles/cubase-le-107-installer-not-install-mac-os-104/

And these if needed…

https://www.google.com/?gws_rd=ssl#q=Cubase+LE+1.07+OEM+

I have a Cubase freebee that I installed on another machine, but was a PC.

Hello, Cubase LE 1 was released almost 14 years ago… It won’t work on modern Macs since Apple changed the technology from Power PC to Intel some years ago.

Kind regards,